# class Shell::StandAloneSession

### Public Instance Methods

rebuild_context() click to toggle source

    # File lib/chef/shell/shell_session.rb, line 144
    def rebuild_context
      cookbook_collection = Chef::CookbookCollection.new({})
      @run_context = Chef::RunContext.new(@node, cookbook_collection, @events) # no recipes
      @run_context.load(Chef::RunList::RunListExpansionFromDisk.new("_default", [])) # empty recipe list
    end